Attribute VB_Name = "modPublic"
Option Explicit

Public Const sCurVersion As String = "0.3"
Public Const sOnlineVersion As String = "http://dchelp.dcemulation.com/downloads/mrwriter.txt"

Public Declare Function GetPixel Lib "gdi32" (ByVal hdc As Long, ByVal x As Long, ByVal y As Long) As Long
Public Declare Function SetPixel Lib "gdi32" (ByVal hdc As Long, ByVal x As Long, ByVal y As Long, ByVal crColor As Long) As Long

Public strPalette() As String
Public blnImageDrawn As Boolean
Public sngImageWidth As Single
Public sngImageHeight As Single

Public Enum enm_Source
    SOURCE_IP
    SOURCE_MR
End Enum

Public Function StripNull(sFile As String) As String

    StripNull$ = Trim$(Replace$(sFile, Chr$(0), ""))

End Function

Public Function JustTitle(sFile As String) As String

    Dim i As Integer
    
    i = InStrRev(sFile, "\")
    
    If i Then
        JustTitle = Mid$(sFile, i + 1)
    Else
        JustTitle = sFile
    End If

End Function

Public Function GetExtension(sFile As String) As String

    Dim i As Integer
    Dim title As String

    title = JustTitle$(sFile)
    i = InStrRev(title, ".")
    
    If i Then
        GetExtension = LCase$(Mid$(title, i + 1))
    Else
        GetExtension = ""
    End If

End Function
